org.apache.sysds.runtime.matrix.data

## Class TextToBinaryCellConverter

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.TextToBinaryCellConverter

- All Implemented Interfaces:
    Converter<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,MatrixIndexes,MatrixCell>

      public class TextToBinaryCellConverter
      extends Object
      implements Converter<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,MatrixIndexes,MatrixCell>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextToBinaryCellConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convert(org.apache.hadoop.io.LongWritable k1, org.apache.hadoop.io.Text v1)`
    `boolean` | `hasNext()`
    `Pair<MatrixIndexes,MatrixCell>` | `next()`
    `void` | `setBlockSize(int rl, int cl)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextToBinaryCellConverter

          public TextToBinaryCellConverter()

  - ### Method Detail

    - #### convert

          public void convert(org.apache.hadoop.io.LongWritable k1,
                              org.apache.hadoop.io.Text v1)

      Specified by:
        `convert` in interface `Converter<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,MatrixIndexes,MatrixCell>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Converter<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,MatrixIndexes,MatrixCell>`

    - #### next

          public Pair<MatrixIndexes,MatrixCell> next()

      Specified by:
        `next` in interface `Converter<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,MatrixIndexes,MatrixCell>`

    - #### setBlockSize

          public void setBlockSize(int rl,
                                   int cl)

      Specified by:
        `setBlockSize` in interface `Converter<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,MatrixIndexes,MatrixCell>`

Copyright © 2020 The Apache Software Foundation. All rights reserved.